Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] Multiple versions of strigi
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Luc484
Veteran
Veteran


Joined: 26 Mar 2005
Posts: 1035
Location: Italy

PostPosted: Sun Sep 14, 2008 1:37 pm    Post subject: [Solved] Multiple versions of strigi Reply with quote

Hi! I'm trying to upgrade my system with KDE4.1.1 but I get this:

Code:
These are the packages that would be merged, in reverse order:

Calculating dependencies... done!

!!! Multiple versions within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

app-misc/strigi:0

  ('ebuild', '/', 'app-misc/strigi-0.5.11', 'merge') pulled in by
    ('installed', '/', 'kde-base/kdelibs-4.1.1', 'nomerge')

  ('installed', '/', 'app-misc/strigi-9999', 'nomerge') pulled in by
    ('installed', '/', 'kde-base/libplasma-4.1.1', 'nomerge')
    ('installed', '/', 'kde-base/nepomuk-4.1.1', 'nomerge')
    ('installed', '/', 'kde-base/kdelibs-4.1.1', 'nomerge')
    (and 1 more)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.


Why does kdelibs want to install both versions of Strigi? Can I solve this problem somehow?
Thanks!


Last edited by Luc484 on Wed Sep 17, 2008 4:59 pm; edited 1 time in total
Back to top
View user's profile Send private message
Luc484
Veteran
Veteran


Joined: 26 Mar 2005
Posts: 1035
Location: Italy

PostPosted: Wed Sep 17, 2008 4:59 pm    Post subject: Reply with quote

I solved masking strigi but I can't understand what is causing this problem.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum